package Source::Package::RPM::NoEpoch;

use strict;
use warnings;
use RPM::Header;
use Source::Package::RPM;
our @ISA=qw/Source::Package::RPM/;

our $VERSION=0.001;

use Source::Package::Comparators;
sub get_raw_epoch_comparator {
    return \&Source::Package::Comparators::null_epoch_comparator;
}

sub url2pkg {
    my ($self,$url,$cachedir)=@_;
    # note; epoch can't be guessed, but best to be paired with web listing
    if ($url=~m!(?:^|/)([^/]+)-([^-/]+)-([^-/]+)\.src.rpm(?:$|\?)!) {
	return $self->new(
	    -name => $1,
	    -version => $2,
	    -release => $3,
	    -url => $url,
	    );
    } else {
	die "url2pkg(no_download): strange rpm url: $url";
    }
}

sub _rpmheader2pkg {
    my ($self,$rh)=@_;
    return $self->new(
	-name => $rh->{NAME},
	-version => $rh->{VERSION},
	-release => $rh->{RELEASE},
#	-epoch => $rh->{EPOCH},
	-file => $rh->source_name,
	);
}


### object method
# sub pkg4rpmeditor {
#     my $self=shift;
#     return [ SOURCERPM => $self->file];
# }

1;
