package Source::Package::Tarball::Python;

use strict;
use warnings;

use Source::Package::Tarball;
our @ISA=qw/Source::Package::Tarball/;

our $VERSION=0.001;

our $verbose;

sub trim_package_version {
    my $class=shift;
    return &_pypi_trim_version;
}

# https://www.python.org/dev/peps/pep-0440/
# https://www.python.org/dev/peps/pep-0386/
# used in pypi watch plugin
sub _pypi_trim_version {
    my ($ver,$module)=@_;
    $ver=~s/^(?:Version|version|visimus|v|V)[-\s]*(?=[\d.])//;
    # drop space
    $ver=~s/^\D+\s//;
    $ver=~s/\s.*$//;
    # drop epoch 
    $ver=~s/^\d+!//;
    # non-standard
    $ver='0.0.0.'.$ver if $ver=~s/^alpha[-\._]?//i;

    $ver=~s/[-\._]?alpha[-\._]?/a/i;
    $ver=~s/[-\._]?beta[-\._]?/b/i;
    $ver=~s/[-\._]?pre[-\._]?/b/i;
    $ver=~s/[-\._]?dev[-\._]?r?/.dev/i;
    $ver=~s/[-\._]?rc[-\._]?/rc/i;
    $ver=~s/\.?(?:a|b|rc|dev|d)$//;
    $ver=~s/\.?(?:a|b|rc|dev|d)$//;

    $ver=~s/-/./g;

    $ver='0'.$ver if $ver=~/^\./;
    $ver='0.0.0.'.$ver if $ver=~/^r/;

    return $ver;
}

1;
